/* Root styles for the entire application. */
:root {
    /* main colors */
    --primary: #28a696;
    --tertiary: #5869fc;
    --alert: #e84f4f;
    --at-risk: #FFAB00;
    /* button state colors */
    --primary-dark: #229082;
    --primary-darker: #1e8174;
    --primary-focus: rgb(40 166 150 / 50%);
    --secondary: #1761b5;
    --secondary-dark: #14549d;
    --secondary-darker: #114b8d;
    --secondary-focus: rgb(23 97 181 / 50%);
    --secondary-hover: rgb(23 97 181 / 20%);
    --tertiary-dark: #2c41fb;
    --tertiary-darker: #0f26fa;
    --tertiary-focus: rgb(88 105 252 / 50%);
    --alert-dark: #e32b2b;
    --alert-darker: #d61c1c;
    --alert-focus: rgb(227 43 43 / 50%);
    --at-risk-light: #FFAB004C;;
    /* text on all filled buttons */
    --button-text: #ffffff;

    /* task colors */
    --initiated: #f2c94c;
    --in-progress: #1761b5;
    --completed: #219653;

    /* tag colors */
    --tag-0: #c6c4c4;
    --tag-1: #adffd9;
    --tag-2: #adfeff;
    --tag-3: #99e6ff;
    --tag-4: #88c9f2;
    --tag-5: #99aff2;
    --tag-6: #b3b3e6;
    --tag-7: #c195db;
    --tag-8: #da9ecf;
    --tag-9: #f2a7c3;
    --tag-10: #dc8f8d;
    --tag-11: #ff9a6f;
    --tag-12: #fcb55f;
    --tag-13: #f7ed78;
    --tag-14: #cbe364;
    --tag-15: #a9d69a;
    --tag-16: #006644;
    --tag-17: #006666;
    --tag-18: #006699;
    --tag-19: #0074de;
    --tag-20: #3864e5;
    --tag-21: #5056ce;
    --tag-22: #5d36b4;
    --tag-23: #a126a0;
    --tag-24: #d61c71;
    --tag-25: #ed0020;
    --tag-26: #ff621f;
    --tag-27: #fba841;
    --tag-28: #e7d50d;
    --tag-29: #979f34;
    --tag-30: #41742f;
    --tag-text: #212323;
    --tag-text-ondark: #ffffff;
    /* drop shadow */
    --drop-shadow: rgba(0, 0, 0, 0.15);

    /* color combinations on some components (e.g. Alert) */
    --foreground-secondary: #104581;
    --background-secondary: #b9d0e9;
    --foreground-alert: #771010;
    --background-alert: #f8caca;

    /* line ordering panel */
    --line-ordering-border: rgba(0, 0, 0, 0.15);
    --line-ordering-selected: rgba(23, 97, 181, 0.2);

    /* z-index layers */
    --editor-toolbar-z: 1;
    --editor-global-toolbar-z: 2;
    --editor-nav-z: 3;
    --detached-toolbar-z: 4;
    --global-nav-z: 5;
    --segmented-button-focus-z: 6;
    --table-actions-z: 7;
    --taggroup-overflow-z: 8;
    --sidebar-backdrop-z: 9;
    --sidebar-container-z: 10;
    --sidebar-z: 11;
    --menu-z: 12;
    --modal-backdrop-z: 13;
    --modal-z: 14;
    --toast-z: 15;
}
.light-mode {
    /* light mode backgrounds */
    --background: #f0f0f0;
    --background1: #ffffff;
    --background2: #e9e9e9;
    --background2-dark: #cacaca;
    --background2-darker: #b5b5b5;
    --background2-focus: rgb(202 202 202 / 50%);
    --background3: #dfdfdf;
    /* modal backdrop */
    --modal-backdrop: rgb(0 0 0 / 10%);
    /* light mode text */
    --text1: #212323;
    --text2: #666768;
    --text3: #a7a8a9;
    --toast-text: #ffffff;
}
.dark-mode {
    /* dark mode backgrounds */
    --background: #212323;
    --background1: #2f3132;
    --background2: #3e4142;
    --background2-dark: #565a5b;
    --background2-darker: #666a6c;
    --background2-focus: rgb(86 90 91 / 50%);
    --background3: #383b3c;
    /* modal backdrop */
    --modal-backdrop: rgb(0 0 0 / 33%);
    /* dark mode text */
    --text1: #ffffff;
    --text2: #a7a8a9;
    --text3: #717373;
    --toast-text: #ffffff;
}

/* Site-wide styles */
.escr-body,
.escr-page-container {
    display: flex;
    flex-flow: row nowrap;
    align-items: stretch;
    height: 100vh;
    overflow-y: hidden;
    max-height: 100vh;
}
.escr-body main {
    max-height: 100vh;
    overflow: auto;
    width: 100%;
}
.escr-body main:has(.escr-vue-enabled) {
    background-color: var(--background);
    color: var(--text1);
    min-height: 100vh;
}
.escr-page:not(#editor),
main:has(.escr-vue-enabled):not(:has(.escr-page)) {
    padding: 16px 32px;
}
.escr-vue-enabled .escr-page-container {
    background-color: var(--background);
}

/* Typography */
@font-face {
    font-family: "Noto Sans";
    font-style: normal;
    font-weight: 400;
    src: url("../fonts/NotoSans-Regular.ttf");
}
@font-face {
    font-family: "Noto Sans";
    font-style: italic;
    font-weight: 400;
    src: url("../fonts/NotoSans-Italic.ttf");
}
@font-face {
    font-family: "Noto Sans";
    font-style: normal;
    font-weight: 600;
    src: url("../fonts/NotoSans-SemiBold.ttf");
}
@font-face {
    font-family: "Noto Sans";
    font-style: italic;
    font-weight: 600;
    src: url("../fonts/NotoSans-SemiBoldItalic.ttf");
}
@font-face {
    font-family: "Noto Sans";
    font-style: normal;
    font-weight: 700;
    src: url("../fonts/NotoSans-Bold.ttf");
}
@font-face {
    font-family: "Noto Sans";
    font-style: italic;
    font-weight: 700;
    src: url("../fonts/NotoSans-BoldItalic.ttf");
}
/* arabic resizing */
@font-face {
    font-family: "Resized Arabic";
    size-adjust: 120%;
    src: local("GeezaPro"), local("Geeza Pro"), local("Times New Roman");
    unicode-range:
    /* Arabic */ U+600-6FF, /* Arabic Supplement */ U+750-77F,
        /* Arabic Extended-A */ U+08A0-08FF, /* Arabic Extended-B */ U+0870-089F,
        /* Arabic Extended-C */ U+10EC0-10EFF,
        /* Arabic Presentation Forms-A */ U+FB50-FDFF,
        /* Arabic Presentation Forms-B */ U+FE70-FEFF,
        /* Rumi Numeral Symbols */ U+10E60-10E7F,
        /* Indic Siyaq Numbers */ U+1EC70-1ECBF,
        /* Ottoman Siyaq Numbers */ U+1ED00-1ED4F,
        /* Arabic Mathematical Alphabetic Symbols */ U+1EE00-1EEFF;
}
/* reset default fonts to 14px normal noto sans, weight 400 */
.escr-vue-enabled .escr-page-container,
.escr-page input[type="text"],
.escr-sidebar-container input[type="text"],
.escr-global-nav,
.v-popper__inner {
    font-family: "Noto Sans", "Resized Arabic", sans-serif;
    font-size: 14px;
    font-weight: 400;
    color: var(--text1);
    font-style: normal;
}
/* tooltip/menu arrows restyling */
.escr-body .v-popper__popper .v-popper__arrow-inner,
.escr-body .v-popper__popper .v-popper__arrow-outer {
    border-color: var(--background1);
}

/* global nav layout styles */
#vue-global-nav {
    height: 100vh;
    min-width: 64px;
    z-index: var(--global-nav-z);
}
#vue-global-nav .escr-global-nav {
    height: 100vh;
}
/* font styles */
.escr-vue-enabled h1,
.escr-sidebar-container h1 {
    font-weight: 700;
    font-size: 24px;
    line-height: 33px;
    display: block;
    margin-block-start: 0.67em;
    margin-block-end: 0.67em;
    margin-inline-start: 0;
    margin-inline-end: 0;
    font-weight: bold;
}
.escr-vue-enabled h2,
.escr-page h2,
.escr-modal h2,
.escr-line-modal h2,
.escr-sidebar-container h2 {
    font-weight: 700;
    font-size: 18px;
    line-height: 25px;
    display: block;
    margin-block-start: 0.83em;
    margin-block-end: 0.83em;
    margin-inline-start: 0;
    margin-inline-end: 0;
    font-weight: bold;
}
.escr-vue-enabled h3,
.escr-page h3,
.escr-modal h3,
.escr-sidebar-container h3 {
    font-weight: 600;
    font-size: 16px;
    line-height: 22px;
    display: block;
    margin-block-start: 1em;
    margin-block-end: 1em;
    margin-inline-start: 0;
    margin-inline-end: 0;
    font-weight: bold;
}
.escr-vue-enabled h4,
.escr-sidebar-container h4 {
    font-weight: 600;
    font-size: 14px;
    line-height: 19px;
    display: block;
    margin-block-start: 1.33em;
    margin-block-end: 1.33em;
    margin-inline-start: 0;
    margin-inline-end: 0;
    font-weight: bold;
}

/* Horizontal rule */
.escr-page hr,
.escr-line-modal hr,
.escr-sidebar-container hr {
    border: none;
    border-top: 1px solid var(--text3);
}

/**
 * Improved screen reader only CSS class
 * @author Gaël Poupard
 */
.sr-only {
    border: 0 !important;
    clip: rect(1px, 1px, 1px, 1px) !important;
    -webkit-clip-path: inset(50%) !important;
    clip-path: inset(50%) !important;
    height: 1px !important;
    margin: -1px !important;
    overflow: hidden !important;
    padding: 0 !important;
    position: absolute !important;
    width: 1px !important;
    white-space: nowrap !important;
}

/* tooltip styling */
.v-popper--theme-escr-tooltip .v-popper__inner,
.v-popper--theme-escr-tooltip-small .v-popper__inner {
    background: var(--background1);
    border-radius: 15px;
    padding: 16px;
    box-shadow: 0px 0px 4px rgba(0, 0, 0, 0.15), 0px 2px 4px rgba(0, 0, 0, 0.15);
    border: none;
    max-width: 220px;
    font-size: 12px;
}
.v-popper--theme-escr-tooltip-small .v-popper__inner {
    padding: 8px;
    border-radius: 8px;
}
.v-popper--theme-escr-tooltip .v-popper__arrow-inner,
.v-popper--theme-escr-tooltip-small .v-popper__arrow-inner {
    border-color: var(--background1);
}
.v-popper--theme-escr-tooltip .v-popper__arrow-outer,
.v-popper--theme-escr-tooltip-small .v-popper__arrow-outer {
    border-color: var(--background2);
}

/* spinner (adapted from bootstrap) */
@keyframes spinner-border {
    to {
        transform: rotate(360deg);
    }
}
.escr-spinner {
    display: inline-block;
    box-sizing: border-box;
    width: 16px;
    height: 16px;
    border: 4px solid var(--background2);
    border-right-color: transparent;
    border-radius: 50%;
    -webkit-animation: spinner-border 1s linear infinite;
    animation: spinner-border 1s linear infinite;
}
.escr-spinner--inactive {
    border-right-color: var(--background2);
    -webkit-animation: none;
    animation: none;
}
.escr-spinner--secondary {
    border-color: var(--secondary);
    border-right-color: transparent;
}
.escr-spinner--secondary-inactive {
    border-color: var(--secondary);
    border-right-color: var(--secondary);
    -webkit-animation: none;
    animation: none;
}
.escr-spinner--danger {
    border-color: var(--alert);
    border-right-color: var(--alert);
    -webkit-animation: none;
    animation: none;
}

/* toolbars */
.escr-toolbar {
    position: relative;
    z-index: var(--editor-toolbar-z);
    box-shadow: 0px 1px 2px 0px rgba(0, 0, 0, 0.15);
    min-height: 54px;
    max-height: 54px;
    margin: 0;
}
.escr-toolbar-tooltip {
    text-align: center;
}
.escr-toolbar .new-section,
nav.escr-editor-nav .new-section {
    margin-left: 0.5rem;
}
.escr-toolbar .new-section.with-separator,
nav.escr-editor-nav .new-section.with-separator {
    display: flex;
    flex-flow: row;
    align-items: center;
}
.new-section.with-separator::before {
    width: 1px;
    content: "";
    height: 1rem;
    border-left: 1px solid var(--text3);
    padding-left: 0.5rem;
}
